import numpy as np
short_name = '0005'
data = 'har'
checkpoint0 = np.load(data + '/' + short_name + '/checkpoint_0.npz')
checkpoint1 = np.load(data + '/' + short_name + '/checkpoint_1.npz')
checkpoint2 = np.load(data + '/' + short_name + '/checkpoint_2.npz')

test_hammings = np.concatenate([checkpoint0['test_hammings'][-1], checkpoint1['test_hammings'][-1], checkpoint2['test_hammings'][-1]])
# Print mean and std roudned:
print(np.round(np.mean(test_hammings), 3), '$\pm$', np.round(np.std(test_hammings), 3))